{
    num: -32159,
    accuracy: 100,
    basePower: 120,
    category: "Physical",
    name: "Take-Off",
    pp: 5,
    priority: 0,
    flags: { contact: 1, protect: 1, failencore: 1, failmefirst: 1, nosleeptalk: 1, noassist: 1, failcopycat: 1, failmimic: 1, failinstruct: 1 },
    onTry(source, target, move) {
      if (source.volatiles["smackdown"] || source.volatiles["ingrain"] || source.volatiles["takeoff"])
        return false;
      if (this.field.getPseudoWeather("Gravity")) {
        this.add("cant", source, "move: Gravity", move);
        return null;
      }
    },
    self: {
      volatileStatus: "takeoff"
    },
    noSketch: true,
    secondary: null,
    target: "normal",
    type: "Dragon",
    contestType: "Cool"
}